Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(103)

Issue 66383005: Remove the concept of user stylesheets. (Closed)

Created:
5 years, 7 months ago by ojan
Modified:
4 years, 9 months ago
CC:
blink-reviews, jamesr, caseq+blink_chromium.org, loislo+blink_chromium.org, darktears, eustas+blink_chromium.org, alph+blink_chromium.org, eae+blinkwatch, yurys+blink_chromium.org, lushnikov+blink_chromium.org, vsevik+blink_chromium.org, pfeldman+blink_chromium.org, dglazkov+blink, paulirish+reviews_chromium.org, apavlov+blink_chromium.org, adamk+blink_chromium.org, devtools-reviews_chromium.org, arv+blink, aandrey+blink_chromium.org, Inactive, Jeffrey Yasskin
Visibility:
Public.

Description

Remove the concept of user stylesheets. -The support for this has been removed from Chromium already. This is now just deleting dead code. -Changed TestRunner::addUserStyleSheet to TestRunner::injectStyleSheet. It wasn't actually injecting a user style sheet and tests use it. -Also, add an insertStyleSheet method to WebDocument so that we can eventually get rid of the UserStyleLevel enum. -Deleted all the tests that were explicitly testing user styles. This also means we can delete insertAuthorCSS, since it was only used in the user stylesheet tests. Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=161671

Patch Set 1 #

Total comments: 2

Patch Set 2 : merge to ToT #

Patch Set 3 : Fix WebFrameCSSCallbackTest tests #

Unified diffs Side-by-side diffs Delta from patch set Stats (+55 lines, -620 lines) Patch
M LayoutTests/css3/device-adapt/viewport-height-extend-to-zoom.html View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/css3/device-adapt/viewport-initial-height-zero.html View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/css3/device-adapt/viewport-initial-width-zero.html View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/css3/device-adapt/viewport-insert-rule-after.html View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/css3/device-adapt/viewport-insert-rule-before.html View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/css3/device-adapt/viewport-min-width-extend-to-zoom.html View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/css3/device-adapt/viewport-relative-font.html View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/css3/device-adapt/viewport-user-agent-style.html View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/css3/device-adapt/viewport-user-style.html View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/css3/device-adapt/viewport-width-extend-to-zoom.html View 1 chunk +1 line, -1 line 0 comments Download
D LayoutTests/fast/css/user-stylesheet-crash.html View 1 chunk +0 lines, -31 lines 0 comments Download
D LayoutTests/fast/css/user-stylesheet-crash-expected.txt View 1 chunk +0 lines, -1 line 0 comments Download
D LayoutTests/fast/loader/user-style-sheet-resource-load-callbacks.html View 1 chunk +0 lines, -15 lines 0 comments Download
D LayoutTests/fast/loader/user-stylesheet-fast-path.html View 1 chunk +0 lines, -33 lines 0 comments Download
D LayoutTests/fast/loader/user-stylesheet-fast-path-expected.txt View 1 chunk +0 lines, -10 lines 0 comments Download
D LayoutTests/http/tests/security/local-user-CSS-from-remote.html View 1 chunk +0 lines, -51 lines 0 comments Download
D LayoutTests/http/tests/security/local-user-CSS-from-remote-expected.txt View 1 chunk +0 lines, -5 lines 0 comments Download
M LayoutTests/inspector/styles/inject-stylesheet.html View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/inspector/styles/styles-disable-then-enable-overriden-ua.html View 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/printing/page-rule-selection.html View 1 chunk +1 line, -1 line 0 comments Download
D LayoutTests/userstyles/insert-stylesheets.html View 1 chunk +0 lines, -43 lines 0 comments Download
D LayoutTests/userstyles/insert-stylesheets-expected.txt View 1 chunk +0 lines, -12 lines 0 comments Download
D LayoutTests/userstyles/mixed-case-stylesheet.html View 1 chunk +0 lines, -19 lines 0 comments Download
D LayoutTests/userstyles/mixed-case-stylesheet-expected.txt View 1 chunk +0 lines, -1 line 0 comments Download
D LayoutTests/userstyles/resources/frame1.html View 1 chunk +0 lines, -6 lines 0 comments Download
D LayoutTests/userstyles/resources/frame2.html View 1 chunk +0 lines, -11 lines 0 comments Download
D LayoutTests/userstyles/simple-stylesheet.html View 1 chunk +0 lines, -18 lines 0 comments Download
D LayoutTests/userstyles/simple-stylesheet-expected.txt View 1 chunk +0 lines, -1 line 0 comments Download
D LayoutTests/userstyles/user-style-all-frames.html View 1 chunk +0 lines, -17 lines 0 comments Download
D LayoutTests/userstyles/user-style-all-frames-expected.txt View 1 chunk +0 lines, -11 lines 0 comments Download
D LayoutTests/userstyles/user-style-top-frame-only.html View 1 chunk +0 lines, -17 lines 0 comments Download
D LayoutTests/userstyles/user-style-top-frame-only-expected.txt View 1 chunk +0 lines, -12 lines 0 comments Download
D LayoutTests/userstyles/user-stylesheet-invalidate.html View 1 chunk +0 lines, -25 lines 0 comments Download
D LayoutTests/userstyles/user-stylesheet-invalidate-expected.txt View 1 chunk +0 lines, -2 lines 0 comments Download
M Source/core/css/DocumentRuleSets.h View 1 2 1 chunk +6 lines, -6 lines 0 comments Download
M Source/core/css/DocumentRuleSets.cpp View 1 2 2 chunks +7 lines, -24 lines 0 comments Download
M Source/core/css/InspectorCSSOMWrappers.cpp View 1 chunk +0 lines, -2 lines 0 comments Download
M Source/core/css/StyleRuleImport.cpp View 1 chunk +1 line, -4 lines 0 comments Download
M Source/core/css/StyleSheetContents.h View 2 chunks +0 lines, -3 lines 0 comments Download
M Source/core/css/StyleSheetContents.cpp View 2 chunks +0 lines, -2 lines 0 comments Download
M Source/core/css/resolver/StyleResolver.h View 1 2 1 chunk +2 lines, -1 line 0 comments Download
M Source/core/css/resolver/StyleResolver.cpp View 1 2 10 chunks +9 lines, -29 lines 0 comments Download
M Source/core/dom/Document.cpp View 1 1 chunk +1 line, -2 lines 0 comments Download
M Source/core/dom/StyleEngine.h View 3 chunks +0 lines, -8 lines 0 comments Download
M Source/core/dom/StyleEngine.cpp View 4 chunks +0 lines, -51 lines 0 comments Download
M Source/core/frame/UseCounter.cpp View 1 chunk +1 line, -1 line 0 comments Download
M Source/core/page/Page.h View 2 chunks +0 lines, -6 lines 0 comments Download
M Source/core/page/Page.cpp View 2 chunks +0 lines, -31 lines 0 comments Download
M Source/core/page/Settings.h View 2 chunks +0 lines, -4 lines 0 comments Download
M Source/core/page/Settings.cpp View 1 chunk +0 lines, -10 lines 0 comments Download
M Source/core/testing/Internals.h View 1 chunk +0 lines, -3 lines 0 comments Download
M Source/core/testing/Internals.cpp View 1 chunk +0 lines, -22 lines 0 comments Download
M Source/core/testing/Internals.idl View 1 chunk +0 lines, -3 lines 0 comments Download
M Source/testing/runner/TestRunner.h View 1 3 chunks +2 lines, -9 lines 0 comments Download
M Source/testing/runner/TestRunner.cpp View 1 5 chunks +2 lines, -25 lines 0 comments Download
M Source/testing/runner/WebPreferences.cpp View 1 1 chunk +0 lines, -1 line 0 comments Download
M Source/web/WebDocument.cpp View 1 chunk +7 lines, -6 lines 0 comments Download
M Source/web/WebSettingsImpl.h View 1 1 chunk +0 lines, -1 line 0 comments Download
M Source/web/WebSettingsImpl.cpp View 1 1 chunk +0 lines, -5 lines 0 comments Download
M public/testing/WebPreferences.h View 1 chunk +0 lines, -1 line 0 comments Download
M public/web/WebDocument.h View 2 chunks +4 lines, -5 lines 0 comments Download
M public/web/WebSettings.h View 1 1 chunk +0 lines, -1 line 0 comments Download

Messages

Total messages: 21 (0 generated)
ojan
5 years, 7 months ago (2013-11-08 20:13:08 UTC) #1
ojan
+dglazkov for public/OWNERS.
5 years, 7 months ago (2013-11-08 20:14:21 UTC) #2
dglazkov
On 2013/11/08 20:14:21, ojan wrote: > +dglazkov for public/OWNERS. Lgtm.
5 years, 7 months ago (2013-11-08 20:20:10 UTC) #3
vsevik
Inspector still has some code to handle user stylesheets (see https://code.google.com/p/chromium/codesearch#search/&q=stylesheetorigin&sq=package:chromium&type=cs, stylesheet origin could be ...
5 years, 7 months ago (2013-11-08 20:39:00 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ojan@chromium.org/66383005/70001
5 years, 7 months ago (2013-11-08 22:26:49 UTC) #5
commit-bot: I haz the power
Retried try job too often on linux_blink_rel for step(s) webkit_unit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_blink_rel&number=11896
5 years, 7 months ago (2013-11-08 23:10:57 UTC) #6
ojan
On 2013/11/08 23:10:57, I haz the power (commit-bot) wrote: > Retried try job too often ...
5 years, 7 months ago (2013-11-09 00:37:47 UTC) #7
esprehn
On 2013/11/09 00:37:47, ojan wrote: > On 2013/11/08 23:10:57, I haz the power (commit-bot) wrote: ...
5 years, 7 months ago (2013-11-09 00:42:52 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ojan@chromium.org/66383005/260001
5 years, 7 months ago (2013-11-09 00:44:45 UTC) #9
commit-bot: I haz the power
Change committed as 161671
5 years, 7 months ago (2013-11-09 01:38:54 UTC) #10
apavlov
https://codereview.chromium.org/66383005/diff/1/LayoutTests/inspector/styles/inject-stylesheet.html File LayoutTests/inspector/styles/inject-stylesheet.html (left): https://codereview.chromium.org/66383005/diff/1/LayoutTests/inspector/styles/inject-stylesheet.html#oldcode16 LayoutTests/inspector/styles/inject-stylesheet.html:16: window.testRunner.addUserStyleSheet(styleSheet, true); On 2013/11/08 20:39:01, vsevik wrote: > Reading ...
5 years, 7 months ago (2013-11-09 07:51:03 UTC) #11
benm (inactive)
Ojan - is there a bug discussing the removal of user stylesheets in Chromium/Blink? Thanks ...
5 years, 5 months ago (2014-01-24 02:22:35 UTC) #12
ojan
Nope, no bug. On Thu, Jan 23, 2014 at 6:22 PM, <benm@chromium.org> wrote: > Ojan ...
5 years, 4 months ago (2014-01-30 19:54:58 UTC) #13
benm (inactive)
Is there any discussion about why this was removed and whether a replacement is available ...
5 years, 4 months ago (2014-01-31 11:03:44 UTC) #14
abarth-chromium
On 2014/01/31 11:03:44, benm wrote: > Is there any discussion about why this was removed ...
5 years, 4 months ago (2014-01-31 16:04:06 UTC) #15
benm (inactive)
OK. The alternative seems to be WebView::injectStyleSheet, however that is specifically documented as treating the ...
5 years, 4 months ago (2014-01-31 16:16:29 UTC) #16
ojan
The point of this was to get rid of the concept of user stylesheets entirely ...
5 years, 4 months ago (2014-01-31 19:17:51 UTC) #17
Prontector
User style sheets were the easiest way to fix the Helvetica bug in Chrome on ...
5 years, 3 months ago (2014-02-28 23:33:15 UTC) #18
adam.benett
On 2014/02/28 23:33:15, Prontector wrote: > User style sheets were the easiest way to fix ...
5 years, 3 months ago (2014-03-11 22:02:05 UTC) #19
adam.benett
On 2014/03/11 22:02:05, adam.benett wrote: > On 2014/02/28 23:33:15, Prontector wrote: > > User style ...
5 years, 3 months ago (2014-03-11 22:22:31 UTC) #20
tom.krier
4 years, 9 months ago (2014-09-08 20:58:12 UTC) #21
Message was sent while issue was closed.
On 2014/03/11 22:22:31, adam.benett wrote:
> On 2014/03/11 22:02:05, adam.benett wrote:
> > On 2014/02/28 23:33:15, Prontector wrote:
> > > User style sheets were the easiest way to fix the Helvetica bug in Chrome
on
> > > Windows. Should've fixed that bug instead of removing a perfectly fine
> feature
> > > for no reason. Now every website using Helvetica is f*cked up again and I
> have
> > > to code myself an extension. Thanks.
> > 
> > My project was previously using user stylesheets to hide Chrome's printing
> > options that is still shown briefly even when using --kiosk-printing.  Does
> > anyone know of an alternative solution to hide this?  Should
--kiosk-printing
> be
> > changed to hide the print options when automatically using the defaults. 
Now
> > we're stuck in a situation where 33 takes away a previously possible
> capability
> > (unless I've overlooked something).
> 
> Nevermind.. looks like I found it up above.

What did you find that helped you out with the hiding the printing option for
Chrome?
We are stuck on v32 because if we upgrade we lose the custom.css ability and are
looking for a replacement option.

Powered by Google App Engine
This is Rietveld 408576698